---
agentTools:
  projectIndex: https://dubble.readme.io/llms.txt
---

# Remove guide from collection

# OpenAPI definition

```json
{
  "openapi": "3.0.2",
  "info": {
    "title": "Dubble Public API",
    "version": "1.0.0",
    "description": "API for managing collections and guides in Dubble"
  },
  "servers": [
    {
      "url": "https://api.dubble.so/v1"
    }
  ],
  "paths": {
    "/guides/{guideId}": {
      "get": {
        "summary": "Get a guide",
        "operationId": "getGuide",
        "tags": [
          "Guides"
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/guideId"
          }
        ],
        "description": "Returns a guide",
        "responses": {
          "200": {
            "description": "Successful response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "data": {
                      "type": "object",
                      "properties": {
                        "id": {
                          "type": "string",
                          "description": "Unique identifier for the guide"
                        },
                        "title": {
                          "type": "string",
                          "description": "The title of the guide"
                        },
                        "visibility": {
                          "type": "string",
                          "enum": [
                            "public",
                            "private",
                            "team"
                          ],
                          "description": "The visibility of the guide"
                        },
                        "collections": {
                          "type": "array",
                          "items": {
                            "$ref": "#/components/schemas/Collection"
                          },
                          "description": "Collections this guide belongs to"
                        },
                        "content": {
                          "type": "object",
                          "nullable": true,
                          "properties": {
                            "video": {
                              "type": "object",
                              "nullable": true,
                              "properties": {
                                "url": {
                                  "type": "string",
                                  "format": "uri",
                                  "description": "URL of the video associated with the guide"
                                }
                              }
                            },
                            "description": {
                              "type": "object",
                              "properties": {
                                "text": {
                                  "type": "string",
                                  "description": "Plain text representation of the content"
                                },
                                "markdown": {
                                  "type": "string",
                                  "description": "Markdown representation of the content"
                                },
                                "html": {
                                  "type": "string",
                                  "description": "HTML representation of the content"
                                }
                              },
                              "required": [
                                "text",
                                "markdown",
                                "html"
                              ]
                            },
                            "steps": {
                              "type": "array",
                              "items": {
                                "type": "object",
                                "properties": {
                                  "title": {
                                    "type": "string",
                                    "description": "Title of the step"
                                  },
                                  "description": {
                                    "$ref": "#/paths/~1guides~1{guideId}/get/responses/200/content/application~1json/schema/properties/data/properties/content/properties/description"
                                  },
                                  "screenshot": {
                                    "type": "string",
                                    "format": "uri",
                                    "description": "URL of the screenshot for this step"
                                  },
                                  "url": {
                                    "type": "string",
                                    "format": "uri",
                                    "description": "URL associated with this step"
                                  },
                                  "app": {
                                    "type": "object",
                                    "description": "The data of the app the step is from",
                                    "properties": {
                                      "domain": {
                                        "type": "string",
                                        "nullable": true,
                                        "format": "uri",
                                        "description": "The URL of the app's domain"
                                      },
                                      "name": {
                                        "type": "string",
                                        "nullable": true,
                                        "description": "The name of the app"
                                      },
                                      "icon": {
                                        "type": "string",
                                        "nullable": true,
                                        "description": "The icon representation of the app, or null if not available"
                                      },
                                      "native": {
                                        "type": "boolean",
                                        "description": "Whether the app is a native app"
                                      }
                                    }
                                  }
                                }
                              }
                            }
                          }
                        },
                        "created_at": {
                          "type": "string",
                          "format": "date-time",
                          "description": "The date and time the guide was created. Formatted as an ISO 8601 string."
                        },
                        "updated_at": {
                          "type": "string",
                          "format": "date-time",
                          "description": "The date and time the guide was last updated. Formatted as an ISO 8601 string."
                        },
                        "links": {
                          "type": "object",
                          "properties": {
                            "view_url": {
                              "type": "string",
                              "format": "uri",
                              "description": "URL to view the guide"
                            },
                            "edit_url": {
                              "type": "string",
                              "format": "uri",
                              "description": "URL to edit the guide"
                            },
                            "as_html": {
                              "type": "string",
                              "format": "uri",
                              "description": "URL to get the guide as HTML"
                            },
                            "as_markdown": {
                              "type": "string",
                              "format": "uri",
                              "description": "URL to get the guide as Markdown"
                            }
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "404": {
            "$ref": "#/components/responses/NotFound"
          },
          "429": {
            "$ref": "#/components/responses/Throttled"
          },
          "5XX": {
            "$ref": "#/components/responses/Unexpected"
          }
        }
      }
    },
    "/guides/{guideId}/collections/{collectionId}": {
      "delete": {
        "summary": "Remove guide from collection",
        "operationId": "removeGuideFromCollection",
        "tags": [
          "Guides",
          "Collections"
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/guideId"
          },
          {
            "$ref": "#/components/parameters/collectionId"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "data": {
                      "$ref": "#/paths/~1guides~1{guideId}/get/responses/200/content/application~1json/schema/properties/data"
                    }
                  }
                }
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "404": {
            "$ref": "#/components/responses/NotFound"
          },
          "429": {
            "$ref": "#/components/responses/Throttled"
          },
          "5XX": {
            "$ref": "#/components/responses/Unexpected"
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "Collection": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "description": "Unique identifier for the collection"
          },
          "name": {
            "type": "string",
            "description": "The name of the collection"
          },
          "visibility": {
            "type": "string",
            "enum": [
              "public",
              "team"
            ],
            "description": "The visibility of the collection"
          },
          "url": {
            "type": "string",
            "format": "uri",
            "description": "The URL of the collection"
          },
          "created_at": {
            "type": "string",
            "format": "date-time",
            "description": "The date and time the collection was created. Formatted as an ISO 8601 string."
          },
          "updated_at": {
            "type": "string",
            "format": "date-time",
            "description": "The date and time the collection was last updated. Formatted as an ISO 8601 string."
          }
        }
      }
    },
    "parameters": {
      "collectionId": {
        "name": "collectionId",
        "in": "path",
        "required": true,
        "schema": {
          "type": "string"
        },
        "description": "The ID of the Collection",
        "example": "7bf9nseqjhkma9xwag08"
      },
      "guideId": {
        "name": "guideId",
        "in": "path",
        "required": true,
        "schema": {
          "type": "string"
        },
        "description": "The ID of the Guide",
        "example": "7bf9nseqjhkma9xwag08"
      }
    },
    "responses": {
      "NotFound": {
        "description": "Not Found",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "allOf": [
                {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "string",
                      "enum": [
                        "error"
                      ],
                      "example": "error"
                    },
                    "message": {
                      "type": "string",
                      "description": "An error message.",
                      "example": "Invalid request"
                    },
                    "details": {
                      "type": "array",
                      "description": "Suggested actions to resolve the error.",
                      "items": {
                        "type": "string"
                      }
                    }
                  }
                },
                {
                  "properties": {
                    "error_type": {
                      "type": "string",
                      "enum": [
                        "not_found"
                      ],
                      "description": "The requested resource was not found."
                    }
                  }
                }
              ]
            }
          }
        }
      },
      "Unauthorized": {
        "description": "Unauthorized",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "allOf": [
                {
                  "$ref": "#/components/responses/NotFound/content/application~1json/schema/allOf/0"
                },
                {
                  "properties": {
                    "error_type": {
                      "type": "string",
                      "enum": [
                        "authentication"
                      ],
                      "description": "Token not provided for not valid."
                    }
                  }
                }
              ]
            }
          }
        }
      },
      "Forbidden": {
        "description": "Not Permitted",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "allOf": [
                {
                  "$ref": "#/components/responses/NotFound/content/application~1json/schema/allOf/0"
                },
                {
                  "properties": {
                    "error_type": {
                      "type": "string",
                      "enum": [
                        "permission"
                      ],
                      "description": "Not permitted to access requested resource."
                    }
                  }
                }
              ]
            }
          }
        }
      },
      "Unexpected": {
        "description": "Unexpected Error",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "allOf": [
                {
                  "$ref": "#/components/responses/NotFound/content/application~1json/schema/allOf/0"
                },
                {
                  "properties": {
                    "error_type": {
                      "type": "string",
                      "enum": [
                        "server_error"
                      ],
                      "description": "An unexpected error."
                    }
                  }
                }
              ]
            }
          }
        }
      },
      "Throttled": {
        "description": "Too Many Requests",
        "content": {
          "text/html": {
            "schema": {
              "type": "string",
              "enum": [
                "Too many requests."
              ]
            }
          }
        }
      }
    },
    "securitySchemes": {
      "bearerAuth": {
        "type": "http",
        "scheme": "bearer"
      }
    }
  },
  "security": [
    {
      "bearerAuth": []
    }
  ],
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "_id": {
    "buffer": {
      "0": 102,
      "1": 180,
      "2": 101,
      "3": 211,
      "4": 66,
      "5": 42,
      "6": 91,
      "7": 0,
      "8": 54,
      "9": 141,
      "10": 113,
      "11": 156
    }
  }
}
```